Bug 215814 - [PATCH] audio/mixxx: update to 2.0.0
Summary: [PATCH] audio/mixxx: update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-01-06 00:45 UTC by joe
Modified: 2017-03-05 16:54 UTC (History)
1 user (show)

See Also:


Attachments
Mixxx 2.0.0 (28.37 KB, patch)
2017-01-06 00:45 UTC, joe
no flags Details | Diff
Updated patch for mixxx 2.0.0 (34.21 KB, patch)
2017-02-26 13:24 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2017-01-06 00:45:18 UTC
Created attachment 178566 [details]
Mixxx 2.0.0

Major update to Mixxx; and as such, is a larger patch.

For new features and functionality, please visit their homepage.

This patch has been applied and tested.
Comment 1 Thomas Zander freebsd_committer 2017-02-26 13:24:28 UTC
Created attachment 180312 [details]
Updated patch for mixxx 2.0.0

Updated patch addressing some issued with the previous patch:
- QT_PREFIX has been deprecated recently ans was no longer working
- Build fix with chromaprint (clang is picky with types)
- Works with latest ports tree
- files/patch-src_widget_wdisplay.cpp is no longer needed

Now it compiles with/without OPTIONS selected/deselected. As I am not an avid user of mixxx, could you double-check whether the package works as you normally use it? TIA
Comment 2 Thomas Zander freebsd_committer 2017-03-04 11:16:49 UTC
Ping
Comment 3 commit-hook freebsd_committer 2017-03-05 16:28:10 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar  5 16:27:14 UTC 2017
New revision: 435487
URL: https://svnweb.freebsd.org/changeset/ports/435487

Log:
  Update to upstream release 2.0.0

  PR:		215814
  Submitted by:	joe@thrallingpenguin.com
  Reviewed by:	riggs

Changes:
  head/audio/mixxx/Makefile
  head/audio/mixxx/distinfo
  head/audio/mixxx/files/patch-build_depends.py
  head/audio/mixxx/files/patch-build_features.py
  head/audio/mixxx/files/patch-build_mixxx.py
  head/audio/mixxx/files/patch-build_qt4.py
  head/audio/mixxx/files/patch-lib_hidapi-0.8.0-pre_linux_hid-libusb.c
  head/audio/mixxx/files/patch-lib_hidapi-0.8.0-rc1_libusb_hid.c
  head/audio/mixxx/files/patch-src_controllers_controllermanager.cpp
  head/audio/mixxx/files/patch-src_controllers_controllerpresetfilehandler.cpp
  head/audio/mixxx/files/patch-src_defs.h
  head/audio/mixxx/files/patch-src_musicbrainz_chromaprinter.cpp
  head/audio/mixxx/files/patch-src_recording_encodermp3.cpp
  head/audio/mixxx/files/patch-src_sounddeviceportaudio.cpp
  head/audio/mixxx/files/patch-src_soundmanager.cpp
  head/audio/mixxx/files/patch-src_soundmanagerconfig.cpp
  head/audio/mixxx/files/patch-src_soundsourceoggvorbis.cpp
  head/audio/mixxx/files/patch-src_soundsourceproxy.cpp
  head/audio/mixxx/files/patch-src_upgrade.cpp
  head/audio/mixxx/files/patch-src_widget_wdisplay.cpp
  head/audio/mixxx/pkg-plist